Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.AsyncRequest class.
jala AsyncRequest(obj, funcName, args) deprecated Use the {@link http://helma.zumbrunn.net/reference/core/app.html#invokeAsync app.invokeAsync} method instead (built-in into Helma as of version 1.6)
Creates a new AsyncRequest instance.
parameters

Object | obj | Object in whose context the method should be called
String | funcName | Name of the function to call
Array | args | Array containing the arguments that should be passed to the function (optional). This option is deprecated, instead pass the arguments directly to the {@link #run} method.

methods

- setTimeout(seconds)

- setDelay(millis)

- run()

- evaluate()

- isAlive()

Methods
jala.AsyncRequest. setTimeout(seconds)
Sets the timeout of this asynchronous request.
parameters

Number | seconds | Thread-timeout.

jala.AsyncRequest. setDelay(millis)
Defines the delay to wait before evaluating this asynchronous request.
parameters

Number | millis | Milliseconds to wait

jala.AsyncRequest. run()
Starts this asynchronous request. Any arguments passed to this method will be passed to the method executed by this AsyncRequest instance.
jala.AsyncRequest. evaluate() deprecated Use {@link #run} instead
Starts this asynchronous request.
jala.AsyncRequest. isAlive()
Returns true if the underlying thread is alive
returns

| True if the underlying thread is alive, false otherwise.

Tue, 25 Nov 2008 16:50:20 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar